<?php
// $Id: i18n_book_navigation.admin.inc,v 1.1 2010/12/15 11:28:31 wadmiraal Exp $

/**
 * @file
 * Admin function and pages for the i18n_book_navigation module.
 */


/**
 * The settings page form.
 *
 * The module can create different blocks depending on the settings.
 * It may sometimes be required to create different blocks for different
 * parts of the site. By entering a comma separated list, each value will
 * be used to create a new Block, where only Books with a title containing
 * the keyword will be present.
 */
function _i18n_book_navigation_settings_form() {
  $form = array();
  
  $form['i18n_book_navigation_settings'] = array(
    '#type' => 'textfield',
    '#title' => t('Generate different navigation blocks'),
    '#default_value' => variable_get('i18n_book_navigation_settings', ''),
    '#description' => t('Enter a comma separated list of keywords. Each keyword will create a <em>new</em> navigation block.<br />Each block will only contain books that have a title that contains the keyword.'),
  );
  
  return system_settings_form($form);
}